# shellcheck shell=dash

___x_cmd_scoop___install(){
    if [ "$___X_CMD_WEBSRC_REGION" = "cn"  ]; then
        ___x_cmd pwsh <"$___X_CMD_ROOT_MOD/scoop/lib/install_cn.ps1"
    else
        ___x_cmd pwsh <"$___X_CMD_ROOT_MOD/scoop/lib/install.ps1"
    fi
}

___x_cmd_scoop_install(){
    local X_help_cmd=; X_help_cmd='___x_cmd help -m scoop install' help:arg:parse
     if [ "$#" -eq 0 ]; then
        ___x_cmd_scoop_la
        return
    fi

    ___x_cmd_scoop___bin "install" "$@"
}
